<template>
  <SinglePane class="baseprices-settings">
    <div class="baseprices-settings__tabs">
      <ObTabs
          v-model="currentTab"
          :items="tabsItems"
          :no-border="true"
          value-exp="type"
      />
    </div>

    <div class="baseprices-settings__tab-content">
    <template v-if="currentTab.type==='Scheduler'">
      <scheduler-modal ref="scheduler" />
    </template>
    <template v-if="currentTab.type==='Intercity'">
      <MathModel/>
    </template>
    <template v-if="currentTab.type==='Intracity'">
      <BasePricesIntracity/>
    </template>
    </div>

  </SinglePane>
</template>

<script>
import SinglePane from 'common-components/src/obComponents/obSinglePanels';
import ObTabs from 'common-components/src/obComponents/obTabs';
import SchedulerModal from "./components/SchedulerModal/index";
import MathModel from "./components/SettingsModal/index";
import BasePricesIntracity from "./components/basePricesIntracity/index";

export default {
  name: 'basePricesSettings',

  components: {
    SinglePane,
    ObTabs,
    SchedulerModal,
    MathModel,
    BasePricesIntracity,
  },
  data() {
    return {
      tabsItems: [
        {
          type: 'Scheduler',
          title: 'Планировщик',
        },
        {
          type: 'Intercity',
          title: 'Настройки для межгорода',
        },
        {
          type: 'Intracity',
          title: 'Настройки для внутригородских перевозок',
        },
      ],
      currentTab: {type: this.$route.query.tab || 'Scheduler'},
    }
  },
  watch: {
    currentTab: {
      handler(tab) {
        if (this.$route.query.tab !== tab.type)
          this.$router.replace({ query: { tab: tab.type } })
      },
      deep: true,
      immediate: true
    }
  },
}
</script>

<style lang="scss" scoped>

.baseprices-settings {

  &__tabs {
    padding: 20px 20px 0 20px;
    position: relative;
    box-shadow: 0px 2px 10px rgba(0, 75, 200, 0.15);
    z-index: 100;
  }

  &__tab-content{
    padding: 0;
  }

  &::v-deep {

    .container {
      width: auto;
    }

    .ob-func-panel {
      &__control-row {
        background-color: transparent;
      }
    }

    .ob-tabs__sliding-line {
      bottom: 0;
    }

  }
}

</style>